commit 299d7be56ccb3dcc20bd495a7a93182cf34c427a
Author: freddy77 <freddy77>
Date:   Fri Aug 21 10:00:07 2009 +0000

    fix a problem with Interix (cfr http://debian-interix.net/bugs/libs/)

diff --git a/ChangeLog b/ChangeLog
index 73819bd..b0fcae9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri Aug 21 11:59:39 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c:
+	- fix a problem with Interix (cfr
+	  http://debian-interix.net/bugs/libs/)
+
 Fri Aug 21 11:57:54 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/net.c: small optimization for method constant
 
@@ -1773,4 +1778,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2854 2009/08/21 09:58:30 freddy77 Exp $
+$Id: ChangeLog,v 1.2855 2009/08/21 10:00:07 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index ce1d21f..777dbf3 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,10 +103,10 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.92 2009/08/21 09:58:30 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.93 2009/08/21 10:00:07 freddy77 Exp $");
 
 #undef USE_POLL
-#if defined(HAVE_POLL_H) && defined(HAVE_POLL)
+#if defined(HAVE_POLL_H) && defined(HAVE_POLL) && !defined(C_INTERIX)
 # define USE_POLL 1
 # define TDSSELREAD  POLLIN
 # define TDSSELWRITE POLLOUT

